[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listRegions" label="Regions"]]
</ol>

<bs-row>
  <bs-col sm="2">

    <!-- image thumbnail-->
    <semantic-query
      class="thumbnail"
      query="SELECT ?boundingBox ?imageID ?IIIFPath WHERE {

        ?? crmDig:L49_is_primary_area_of ?page ;
          rs:boundingBox ?bbox ;
          rs:displayLabel ?label.

        :configIIIFPath ecrm:P3_has_note ?IIIFPath .

        BIND(STRAFTER(?bbox, 'xywh=') as ?boundingBox)
        BIND(?page as ?imageIRI) .

        [[> :queryImageIdPattern]]

      } ORDER BY xsd:integer(?page_num)"
      template='{{#each bindings}}
        <img width="100%" src="{{IIIFPath.value}}{{imageID.value}}/{{boundingBox.value}}/!300,300/0/default.jpg" />
      {{/each}}'
    ></semantic-query>

  </bs-col>
  <bs-col sm="10">

    <h3>Edit Region</h3>

    <semantic-form
        fields="[[fieldDefinitions
          element="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/region_element"
          type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/region_type"
          keyword="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/keyword"
          note="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/note"
        ]]"
        browser-persistence="true"
        persistence="LDP"
        [[#if ( urlParam "redirect") ]]
          post-action="[[urlParam "redirect"]]"
          urlqueryparam-pageiri="[[singleValueFromSelect "SELECT ?page WHERE { ?? crmDig:L49_is_primary_area_of ?page }"]]"
          urlqueryparam-bookiri="[[singleValueFromSelect "SELECT ?book WHERE { ?? crmDig:L49_is_primary_area_of/^ecrm:P106_is_composed_of/^ecrm:P128_carries/^efrbroo:R30_produced/^efrbroo:R29i_was_reproduced_by ?book }"]]"
        [[/if]]
        subject="[[this]]">

        <!--
        <semantic-form-select-input
          for="element"
          template="
            <div class='row'>
              <div class='col-md-2'>
                {{#if imageID.value}}<img src='{{IIIFPath.value}}{{imageID.value}}/!100,100/0/default.jpg'>{{/if}}
              </div>
              <div class='col-md-10' style='vertical-align:top;'>
                <p>{{label.value}}</p>
                <p><small>{{num_images.value}} occurrences</small></p>
              </div>"


        ></semantic-form-select-input>

        <div class="gap-bottom">
          <mp-overlay-dialog title="Create new element" type="modal" bs-size="large">
            <mp-overlay-dialog-trigger><a>Create new element</a></mp-overlay-dialog-trigger>
            <mp-overlay-dialog-content>
              <div width="800px">
                <mp-page-loader iri=":createElement"
                  urlqueryparam-modal="true">
                </mp-page-loader>
              </div>
            </mp-overlay-dialog-content>
          </mp-overlay-dialog>
        </div>
        -->

        <semantic-form-select-input for="type"></semantic-form-select-input>

        <semantic-form-select-input for="keyword"></semantic-form-select-input>

        <div class="gap-bottom">
          <mp-overlay-dialog title="Create new keyword" type="modal" bs-size="large">
            <mp-overlay-dialog-trigger><a>Create new keyword</a></mp-overlay-dialog-trigger>
            <mp-overlay-dialog-content>
              <div width="800px">
                <mp-page-loader iri=":addKeyword"
                  urlqueryparam-noredirect="true">
                </mp-page-loader>
              </div>
            </mp-overlay-dialog-content>
          </mp-overlay-dialog>
        </div>

        <semantic-form-text-input for="note" multiline="true"></semantic-form-text-input>

        <div class="text-right form-submit">
          <button name="submit" class="btn btn-primary btn-md">Save</button>
        </div>
    </semantic-form>

  </bs-col>
</bs-row>

[[> :identifier]]

[[> :footer]]
